org.apache.felix.scrplugin.helper

## Class MetatypeAttributeDefinition

- java.lang.Object
- - org.apache.felix.scrplugin.helper.MetatypeAttributeDefinition

    public class MetatypeAttributeDefinition
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MetatypeAttributeDefinition()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Integer` `getCardinality()`
`String[]` `getDefaultMultiValue()`
`String` `getDefaultValue()`
`String` `getDescription()`
`String` `getId()`
`String` `getName()`
`Map<String,String>` `getOptions()`
`String` `getType()`
`void` `setCardinality(Integer cardinality)`
`void` `setDefaultMultiValue(String[] values)`
`void` `setDefaultValue(String defaultValue)`
`void` `setDescription(String description)`
`void` `setId(String id)`
`void` `setName(String name)`
`void` `setOptions(Map<String,String> options)`
`void` `setType(String type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetatypeAttributeDefinition

    public MetatypeAttributeDefinition()

### Method Detail

#### getId

    public String getId()

#### setId

    public void setId(String id)

#### getType

    public String getType()

#### setType

    public void setType(String type)

#### getDefaultValue

    public String getDefaultValue()

#### setDefaultValue

    public void setDefaultValue(String defaultValue)

#### setDefaultMultiValue

    public void setDefaultMultiValue(String[] values)

#### getDefaultMultiValue

    public String[] getDefaultMultiValue()

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getDescription

    public String getDescription()

#### setDescription

    public void setDescription(String description)

#### getCardinality

    public Integer getCardinality()

#### setCardinality

    public void setCardinality(Integer cardinality)

#### getOptions

    public Map<String,String> getOptions()

#### setOptions

    public void setOptions(Map<String,String> options)